<template>
<Dialog @close="$emit('close')">

<h3>'{{fname}}' ready</h3>

<div class="row"><a :href="props.url" :download="fname">
<button>Download</button>
</a></div>

</Dialog>
</template>

<script setup>
import { computed } from "vue"
import Dialog from "./dialog.vue"

const emit = defineEmits(['close'])
const props = defineProps(['fileName', 'url'])
let fname = props.fileName
</script>

<style scoped>
  .modal div.row {
    display: flex;
    justify-content: center;
  }
</style>
